Workflow Get Aggregated One

Workflow Get Aggregated One
Get aggregated information for a workflow

Get a workflow with a given ID

Request
URI
GET
https://{vcfa-fqdn}/vro/aggregated-workflows/{id}
COPY
Path Parameters
string
id
Required

id


Authentication
This operation uses the following authentication methods.
Responses
200

'Success' with a workflow

Returns AggregatedWorkflow of type(s) */*
{
    "id": "string",
    "name": "string",
    "ownerId": "string",
    "orgId": "string",
    "createdOn": 0,
    "modifiedOn": 0,
    "description": "string",
    "count": 0,
    "workflowId": "string",
    "integrations": [
        {
            "endpointConfigurationLink": "string",
            "name": "string",
            "endpointUri": "string"
        }
    ],
    "selfLink": "string"
}

202

Accepted

{
    "message": "string",
    "messageId": "string",
    "stackTrace": [
        "string"
    ],
    "statusCode": 0,
    "errorCode": 0,
    "details": [
        "string"
    ],
    "serverErrorId": "string",
    "documentKind": "string",
    "certificateInfo": {
        "certificate": "string",
        "properties": {
            "properties": "string"
        },
        "documentKind": "string"
    },
    "internalErrorCode": 0
}

400

Bad Request

Returns ServiceErrorResponse of type(s) */*
{
    "message": "string",
    "messageId": 0,
    "stackTrace": [
        "string"
    ],
    "statusCode": 0,
    "errorCode": 0
}

403

Forbidden

Returns BriefServiceErrorResponse of type(s) */*
{
    "message": "string"
}

404

Not Found

Returns BriefServiceErrorResponse of type(s) */*
{
    "message": "string"
}

409

Conflict

Returns BriefServiceErrorResponse of type(s) */*
"BriefServiceErrorResponse Object"
string
message
Optional

message


417

Expectation Failed

Returns BriefServiceErrorResponse of type(s) */*
"BriefServiceErrorResponse Object"
string
message
Optional

message


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/vro/aggregated-workflows/{id}